Jump to content

CC 3.0.13 Won't Install


Recommended Posts

I use CC 3.0.12 without any problem. I decided to create a new directory and new mysql database to 'play' with CC 3.0.13, but when I attempt to install, it creates the CubeCart_SpamBot table then crashes with the error below. Re-uploaded all files and tried again with same results. ???

Daniel.

sqlerror.jpg

Link to post
Share on other sites

add a ; at the end of the query. It's in the upgrade.

I did a fresh install using a new empty database. There already is a ';' in my existing schema.inc.php file as shown below.

$db->misc("CREATE TABLE `".$_POST['dbprefix']."CubeCart_blocker` (

		  `id` int(11) NOT NULL auto_increment,

		  `browser` text NOT NULL,

		  `ip` varchar(11) NOT NULL,

		  `username` varchar(50) NOT NULL,

		  `blockTime` int(10) NOT NULL default '0',

		  `blockLevel` int(1) NOT NULL default '0',

		  `loc` char(1) NOT NULL,

		  `lastTime` int(10) NOT NULL,

		  KEY `id` (`id`)

		) TYPE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");

Daniel.

Link to post
Share on other sites
Guest kaskudoo

getting the same error as well

MySQL Error Occured

1064: You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'DEFAULT CHARSET=latin1 AUTO_INCREMENT=1' at line 11

QUERY = CREATE TABLE `try02CubeCart_blocker` ( `id` int(11) NOT NULL auto_increment, `browser` text NOT NULL, `ip` varchar(11) NOT NULL, `username` varchar(50) NOT NULL, `blockTime` int(10) NOT NULL default '0', `blockLevel` int(1) NOT NULL default '0', `loc` char(1) NOT NULL, `lastTime` int(10) NOT NULL, KEY `id` (`id`) ) TYPE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1

i tried with brand new database. the spambot table did get established during installation routine it seems (i went into database and dropped the spambot table) - no success though it always comes back with this error.

this is on a very fresh install of cubecart .13 and a brand new empty database

provider godaddy, php 4.x, gd 2.x, curl enabled

i also verified all correct info on database name and so forth .... i did install cc .12 before without problem

:whistle:

Link to post
Share on other sites

OK. On a 'full' install I went to my /install/db/schema.inc.php file and found the following block of code:

$db->misc("CREATE TABLE `".$_POST['dbprefix']."CubeCart_blocker` (

		  `id` int(11) NOT NULL auto_increment,

		  `browser` text NOT NULL,

		  `ip` varchar(11) NOT NULL,

		  `username` varchar(50) NOT NULL,

		  `blockTime` int(10) NOT NULL default '0',

		  `blockLevel` int(1) NOT NULL default '0',

		  `loc` char(1) NOT NULL,

		  `lastTime` int(10) NOT NULL,

		  KEY `id` (`id`)

		) TYPE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");

Find the very last semi-colon in this block of code and add a space between the ')' and ';' characters. That caused the install to create my database without errors. Make sure you drop any existing tables first.

Daniel.

Link to post
Share on other sites
Guest kaskudoo

i did the change like this:

$db->misc("CREATE TABLE `".$_POST['dbprefix']."CubeCart_blocker` (

		  `id` int(11) NOT NULL auto_increment,

		  `browser` text NOT NULL,

		  `ip` varchar(11) NOT NULL,

		  `username` varchar(50) NOT NULL,

		  `blockTime` int(10) NOT NULL default '0',

		  `blockLevel` int(1) NOT NULL default '0',

		  `loc` char(1) NOT NULL,

		  `lastTime` int(10) NOT NULL,

		  KEY `id` (`id`)

		) TYPE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1")_SPACE_;

(i added a space between the last "(" and ";" but it did NOT do the trick - i still end up with the same error message .... i made sure that the database was completely empty before i started the install process

:whistle:

thanks for your help though!

Link to post
Share on other sites
Guest kaskudoo

mh, i am afraid i do not know phpmyadmin at all ..... all i can do is create a database and thats pretty much it (i did manage to drop the created spamthingtable after the unsuccessful installs)

i just keep on running into probs with CC .... w/ version .12 the paypal thing didn't work right - and that just made me want version .13 even more, since the api for paypal is completely rewritten ..... argh that i cannot install it now

edit:

i tried to take the older schema file and installation worked - however, i was not able to login to the admin panel of cubecart (gave me some other sql error)

Link to post
Share on other sites
Guest shambala

I had 3.12 installed, then I uploaded the correct things, ran the first sql command fine: ALTER TABLE

But when it came to the: CREATE TABLE

it just sat there then said page cannot be displayed.

The exact code was:

CREATE TABLE `CubeCart_blocker` (

`id` int(11) NOT NULL auto_increment,

`browser` text NOT NULL,

`ip` varchar(15) NOT NULL,

`username` varchar(50) NOT NULL,

`blockTime` int(10) NOT NULL default '0',

`blockLevel` int(1) NOT NULL default '0',

`loc` char(1) NOT NULL,

`lastTime` int(10) NOT NULL,

KEY `id` (`id`)

) TYPE=MyISAM AUTO_INCREMENT=1") ;

Link to post
Share on other sites
Guest kaskudoo

i was able to install 3.0.12 and upgrade it to 3.0.13

i tried numerous times to do a fresh install and it wouldn't work .... i am just glad tht i finally got it ...... next thing on the list is the paypal thing :whistle:

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...